//nolint
package document

import (
	"context"

	"google.golang.org/grpc"
)

// statically ensure that stub client is synchronized with actual client interface
// nolint:deadcode,varcheck,unused
var ensureStubImplements DocumentServiceClient = &StubDocumentServiceClient{}

// StubDocumentServiceClient provides stub implementation of grpc client for testing purposes
type StubDocumentServiceClient struct {
}

func (stub *StubDocumentServiceClient) Create(
	ctx context.Context,
	in *CreateRequest,
	opts ...grpc.CallOption,
) (*CreateResponse, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) Update(
	ctx context.Context,
	in *UpdateRequest,
	opts ...grpc.CallOption,
) (*UpdateResponse, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) Get(
	ctx context.Context,
	in *GetRequest,
	opts ...grpc.CallOption,
) (*GetResponse, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) List(
	ctx context.Context,
	in *ListRequest,
	opts ...grpc.CallOption,
) (*ListResponse, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) Delete(
	ctx context.Context,
	in *DeleteRequest,
	opts ...grpc.CallOption,
) (*DeleteResponse, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) UpdateSignStatus(
	ctx context.Context,
	in *UpdateSignStatusRequest,
	opts ...grpc.CallOption,
) (*UpdateSignStatusResponse, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) UpdateStatus(
	ctx context.Context,
	in *UpdateStatusRequest,
	opts ...grpc.CallOption,
) (*UpdateStatusResponse, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) BundleDownload(
	ctx context.Context,
	in *BundleDownloadRequest,
	opts ...grpc.CallOption,
) (DocumentService_BundleDownloadClient, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) FileUpload(
	ctx context.Context,
	opts ...grpc.CallOption,
) (DocumentService_FileUploadClient, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) FileDownload(
	ctx context.Context,
	in *FileDownloadRequest,
	opts ...grpc.CallOption,
) (DocumentService_FileDownloadClient, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) FileUpdate(
	ctx context.Context,
	in *FileUpdateRequest,
	opts ...grpc.CallOption,
) (*FileUpdateResponse, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) FileInfo(
	ctx context.Context,
	in *FileInfoRequest,
	opts ...grpc.CallOption,
) (*FileInfoResponse, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) ServiceCreate(
	ctx context.Context,
	in *ServiceCreateRequest,
	opts ...grpc.CallOption,
) (*CreateResponse, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) ServiceUpdate(
	ctx context.Context,
	in *ServiceUpdateRequest,
	opts ...grpc.CallOption,
) (*ServiceUpdateResponse, error) {
	return nil, nil
}

func (stub *StubDocumentServiceClient) CleanFiles(
	ctx context.Context,
	in *CleanFilesRequest,
	opts ...grpc.CallOption,
) (*CleanFilesResponse, error) {
	return nil, nil
}
