// Package v1 provides migration to version 1 of mongo repository
package v1

import (
	"context"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies v1 migration
func Up(ctx context.Context, db *mongo.Database) error {
	col := db.Collection("documents")

	_, err := col.UpdateMany(ctx, bson.M{}, bson.M{
		"$rename": bson.M{
			"deleted": "inactive",
		},
	})

	return err
}
